import { Vector3, GLSL3 } from 'three';
import fragmentShader from "./shaders/shader.frag";
import vertexShader from "./shaders/shader.vert";

const Box = () => {
  const uniforms = {
    color: {
      value: new Vector3(1.0, 0.0, 0.0),
    }
  };

  return (
    <mesh>
      <boxGeometry args={[1, 1]} />
      <rawShaderMaterial
        glslVersion={GLSL3}
        vertexShader={vertexShader.replace('#version 300 es', '')}
        fragmentShader={fragmentShader.replace('#version 300 es', '')}
        uniforms={uniforms}
      />
    </mesh>
  )
}

export default Box;
